# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### 1.0.1 (2023-06-28)


### Bug Fixes

* add index name to fix PG index name too long issue ([394469f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/394469f1308e2c40e4bf2f2c834b407029be5475))
* add pagination to template table ([4b1caf4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/4b1caf41b398d991e24eaaa435afaa0f86a512eb))
* added .idea to gitignore ([709911c](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/709911c1fe68768af2e2e6b25cc00a5cd6e498fd))
* container cannot be edited when model is new ([80c4593](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/80c4593fb855b1204d0e54ab5ce15d9364f956c5))
* default workstation to empty if ar_coating process not yet loaded ([2a0058d](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/2a0058d828130d1f5786862b7a860dd5cba192f1))
* ensure lens table is sorted by hole position number for sector datum ([e2034be](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/e2034bed2ddae6f2821c86720446d443a1ddf91a))
* improve workstation form ([3fa2038](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/3fa2038c72040ac4dd3a8d098a75fa18bb18fcdf))
* nil.to_json returns the string "null" ([6407569](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/64075690bddb085430da5e08d122fd824ce01bcb))
* size image to canvas size if too big ([87b9850](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/87b9850b79a4ce478d05e7b4a43bd1f9cb351834))
* wrap rx_batching uncaught error call ([7a917b8](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/7a917b86a6bb99e34ae1730caec24683a018fad4))

## 1.0.0 (2023-06-06)


### Bug Fixes

* add index name to fix PG index name too long issue ([394469f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/394469f1308e2c40e4bf2f2c834b407029be5475))
* add pagination to template table ([4b1caf4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/4b1caf41b398d991e24eaaa435afaa0f86a512eb))
* added .idea to gitignore ([709911c](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/709911c1fe68768af2e2e6b25cc00a5cd6e498fd))
* container cannot be edited when model is new ([80c4593](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/80c4593fb855b1204d0e54ab5ce15d9364f956c5))
* default workstation to empty if ar_coating process not yet loaded ([2a0058d](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/2a0058d828130d1f5786862b7a860dd5cba192f1))
* ensure lens table is sorted by hole position number for sector datum ([e2034be](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/e2034bed2ddae6f2821c86720446d443a1ddf91a))
* improve workstation form ([3fa2038](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/3fa2038c72040ac4dd3a8d098a75fa18bb18fcdf))
* nil.to_json returns the string "null" ([6407569](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/64075690bddb085430da5e08d122fd824ce01bcb))
* size image to canvas size if too big ([87b9850](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/87b9850b79a4ce478d05e7b4a43bd1f9cb351834))
* wrap rx_batching uncaught error call ([7a917b8](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/7a917b86a6bb99e34ae1730caec24683a018fad4))

## 1.0.0 (2023-06-06)


### Bug Fixes

* add index name to fix PG index name too long issue ([394469f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/394469f1308e2c40e4bf2f2c834b407029be5475))
* add pagination to template table ([4b1caf4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/4b1caf41b398d991e24eaaa435afaa0f86a512eb))
* added .idea to gitignore ([709911c](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/709911c1fe68768af2e2e6b25cc00a5cd6e498fd))
* container cannot be edited when model is new ([80c4593](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/80c4593fb855b1204d0e54ab5ce15d9364f956c5))
* default workstation to empty if ar_coating process not yet loaded ([2a0058d](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/2a0058d828130d1f5786862b7a860dd5cba192f1))
* ensure lens table is sorted by hole position number for sector datum ([e2034be](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/e2034bed2ddae6f2821c86720446d443a1ddf91a))
* improve workstation form ([3fa2038](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/3fa2038c72040ac4dd3a8d098a75fa18bb18fcdf))
* nil.to_json returns the string "null" ([6407569](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/64075690bddb085430da5e08d122fd824ce01bcb))
* size image to canvas size if too big ([87b9850](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/87b9850b79a4ce478d05e7b4a43bd1f9cb351834))
* wrap rx_batching uncaught error call ([7a917b8](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/7a917b86a6bb99e34ae1730caec24683a018fad4))

## 1.0.0 (2023-06-06)


### Bug Fixes

* add index name to fix PG index name too long issue ([394469f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/394469f1308e2c40e4bf2f2c834b407029be5475))
* add pagination to template table ([4b1caf4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/4b1caf41b398d991e24eaaa435afaa0f86a512eb))
* added .idea to gitignore ([709911c](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/709911c1fe68768af2e2e6b25cc00a5cd6e498fd))
* container cannot be edited when model is new ([80c4593](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/80c4593fb855b1204d0e54ab5ce15d9364f956c5))
* default workstation to empty if ar_coating process not yet loaded ([2a0058d](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/2a0058d828130d1f5786862b7a860dd5cba192f1))
* ensure lens table is sorted by hole position number for sector datum ([e2034be](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/e2034bed2ddae6f2821c86720446d443a1ddf91a))
* improve workstation form ([3fa2038](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/3fa2038c72040ac4dd3a8d098a75fa18bb18fcdf))
* nil.to_json returns the string "null" ([6407569](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/64075690bddb085430da5e08d122fd824ce01bcb))
* size image to canvas size if too big ([87b9850](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/87b9850b79a4ce478d05e7b4a43bd1f9cb351834))
* wrap rx_batching uncaught error call ([7a917b8](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Batching/commit/7a917b86a6bb99e34ae1730caec24683a018fad4))

## 1.0.0 (2023-05-31)


### Bug Fixes

* add index name to fix PG index name too long issue ([394469f](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Batching/commit/394469f1308e2c40e4bf2f2c834b407029be5475))
* add pagination to template table ([4b1caf4](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Batching/commit/4b1caf41b398d991e24eaaa435afaa0f86a512eb))
* container cannot be edited when model is new ([80c4593](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Batching/commit/80c4593fb855b1204d0e54ab5ce15d9364f956c5))
* ensure lens table is sorted by hole position number for sector datum ([e2034be](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Batching/commit/e2034bed2ddae6f2821c86720446d443a1ddf91a))
* improve workstation form ([3fa2038](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Batching/commit/3fa2038c72040ac4dd3a8d098a75fa18bb18fcdf))
* nil.to_json returns the string "null" ([6407569](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Batching/commit/64075690bddb085430da5e08d122fd824ce01bcb))
* size image to canvas size if too big ([87b9850](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Batching/commit/87b9850b79a4ce478d05e7b4a43bd1f9cb351834))
* wrap rx_batching uncaught error call ([7a917b8](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Batching/commit/7a917b86a6bb99e34ae1730caec24683a018fad4))

### [0.1.1-pre.6](https://git.satisloh.dev/rx-suite/modules/optional/batching1/compare/v0.1.1-pre.5...v0.1.1-pre.6) (2023-04-18)


### Bug Fixes

* add index name to fix PG index name too long issue ([394469f](https://git.satisloh.dev/rx-suite/modules/optional/batching1/commit/394469f1308e2c40e4bf2f2c834b407029be5475))

### [0.1.1-pre.5](https://git.satisloh.dev/rx-suite/modules/optional/batching1/compare/v0.1.1-pre.4...v0.1.1-pre.5) (2023-04-05)


### Bug Fixes

* container cannot be edited when model is new ([80c4593](https://git.satisloh.dev/rx-suite/modules/optional/batching1/commit/80c4593fb855b1204d0e54ab5ce15d9364f956c5))

### [0.1.1-pre.4](https://git.satisloh.dev/rx-suite/modules/optional/batching1/compare/v0.1.1-pre.3...v0.1.1-pre.4) (2023-04-05)

### [0.1.1-pre.3](https://git.satisloh.dev/rx-suite/modules/optional/batching1/compare/v0.1.1-pre.2...v0.1.1-pre.3) (2023-04-05)


### Bug Fixes

* size image to canvas size if too big ([87b9850](https://git.satisloh.dev/rx-suite/modules/optional/batching1/commit/87b9850b79a4ce478d05e7b4a43bd1f9cb351834))

### [0.1.1-pre.2](https://git.satisloh.dev/rx-suite/modules/optional/batching1/compare/v0.1.1-pre.1...v0.1.1-pre.2) (2023-03-22)

### [0.1.1-pre.1](https://git.satisloh.dev/rx-suite/modules/optional/batching1/compare/v0.1.1-pre.0...v0.1.1-pre.1) (2023-03-22)

### 0.1.1-pre.0 (2023-03-22)


### Bug Fixes

* add pagination to template table ([4b1caf4](https://git.satisloh.dev/rx-suite/modules/optional/batching1/commit/4b1caf41b398d991e24eaaa435afaa0f86a512eb))
* improve workstation form ([3fa2038](https://git.satisloh.dev/rx-suite/modules/optional/batching1/commit/3fa2038c72040ac4dd3a8d098a75fa18bb18fcdf))
* nil.to_json returns the string "null" ([6407569](https://git.satisloh.dev/rx-suite/modules/optional/batching1/commit/64075690bddb085430da5e08d122fd824ce01bcb))
