class BatchContainerBatchWorkstationsController < ApplicationController
  model_data_store(BatchContainerBatchWorkstation)

  def before_filter(filter)
    if filter[:id] == 'batch_template_id'
      filter[:strict_match] = true
    end
    filter
  end

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:batch_container_batch_workstation).permit(:batch_container_id, :batch_template_id, :order)
  end
end

