// Run this example by adding <%= javascript_pack_tag 'hello_react' %> to the head of your layout file,
// like app/views/layouts/application.html.erb. All it does is render <div>Hello React</div> at the bottom
// of the page.

import * as React from 'react'
import * as ReactDOM from 'react-dom'
import App from "../src/App";

const render = (Component: React.ComponentType) => {
    ReactDOM.render(
        <Component/>,
        document.querySelector('#react-target'),
    )
};

document.addEventListener('DOMContentLoaded', () => {
    render(App);
});

// @ts-ignore
if (module.hot) {
    // @ts-ignore
    module.hot.accept('../src/App.tsx', () => {
        // eslint-disable-next-line @typescript-eslint/no-var-requires
        const NextRootContainer = require('../src/App.tsx').default;
        render(NextRootContainer);
    })
}

