import * as React from "react";
import {BatchManager} from "../../objects/batch_workstation_manager/BatchManager";

const ManagerContext = React.createContext(null as unknown as BatchManager);

export const useBatchManagerContext = () => React.useContext(ManagerContext);
export const BatchManagerProvider = ManagerContext.Provider;
export const BatchManagerConsumer = ManagerContext.Consumer;