RxModule.configure do |config|
  package_data = JSON.parse(File.read(Rails.root.join("package.json")), create_additions: false, symbolize_names: true)

  config.module_id = package_data[:name]
  config.module_name = "Rx Batching"
  config.rx_hub_url = ENV["RX_HUB_URL"]
  config.module_description = "Associate jobs to batch processes (AR coating, dip coating, etc)."
  config.module_icon = Rails.root.join("public", "icon.svg")
  config.module_logo = Rails.root.join("public", "rx-batching-logo.png")
  config.mes_logo = Rails.root.join("public", "mes-logo.png")
  config.module_version = package_data[:version]
  config.disable_worker_broadcasts = true
end
