class CreateBatchWorkstation < ActiveRecord::Migration[6.0]
  def change
    create_table :batch_workstations do |t|
      t.string :name
      t.belongs_to :batch_process, null: false, foreign_key: true
      t.integer :data_source
      t.integer :external_dcs_id
      t.string :tags
      t.integer :state, :default => 0
      t.text :last_save_response
      t.timestamps
    end
  end
end

