class CreateBatchContainerBatchWorkstations < ActiveRecord::Migration[6.0]
  def change
    create_table :batch_container_batch_workstations do |t|
      t.belongs_to :batch_container, null: false, foreign_key: { on_delete: :cascade }, index: { name: 'index_batch_container_workstation_id' }
      t.belongs_to :batch_workstation, null: false, foreign_key: { on_delete: :cascade }, index: { name: 'index_batch_workstation_container_id' }
      t.timestamps
    end
  end
end

