class CreateBatchContainerComponents < ActiveRecord::Migration[6.0]
  def change
    create_table :batch_container_components do |t|
      t.integer :component_type
      t.integer :position
      t.float :x
      t.float :y
      t.float :width
      t.float :height
      t.integer :z_index
      t.float :aspect_ratio
      t.timestamps
      t.belongs_to :batch_container, foreign_key: {on_delete: :cascade}
    end
  end
end
